当前位置: 动力学知识库 > 问答 > 编程问答 >

Unable to install ggplot2 package in R on windows 8.1

问题描述:

I tried to install ggplot2 with following commands, but it can't install.

> library('ggplot2')

Error in library("ggplot2") : there is no package called ‘ggplot2’\

> install.packages('ggplot2', dependencies = T)

package ‘ggplot2’ is available as a source package but not as a binary

Warning in install.packages :

package ‘ggplot2’ is not available (as a binary package for R version 3.1.3)

>

Can you anybody advise what's going wrong?

When i use the command install.packages("ggplot2", type="source",dependencies = TRUE) I got following error

*** arch - i386

Warning: running command 'make -f "D:/R/R-31~1.3/etc/i386/Makeconf" -f "D:/R/R-31~1.3/share/make/winshlib.mk" SHLIB="acepack.dll" SHLIB_LIBADD='$(FLIBS)' OBJECTS="ace.o avas.o rlsmo.o"' had status 127

ERROR: compilation failed for package 'acepack'

* removing 'D:/R/R-3.1.3/library/acepack'

Warning in install.packages :

running command '"D:/R/R-31~1.3/bin/x64/R" CMD INSTALL -l "D:\R\R-3.1.3\library" C:\Users\surjya\AppData\Local\Temp\RtmpWyq9oh/downloaded_packages/acepack_1.3-3.3.tar.gz' had status 1

Warning in install.packages :

installation of package ‘acepack’ had non-zero exit status

网友答案:

Sometimes the mirrors take a long time to update, and they don't pick up the binaries of a package for a few days.

Try install.packages("ggplot2", type="source")

...which, from memory, often works on Windows.

分享给朋友:
您可能感兴趣的文章:
随机阅读: